Package com.sas.lsaf.query.repository

## Class RepositoryItemQuery

- java.lang.Object
- - com.sas.lsaf.query.Query
  - - com.sas.lsaf.query.repository.RepositoryItemQuery

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `RepositoryContainerQuery`, `RepositoryFileQuery`, `RepositoryFileVersionQuery`

      public class RepositoryItemQuery
      extends Query

  This class provides an API to generate criteria when querying repository content. The query applies to both files and containers. The query contains columns that are common to both.
  Since:
    2.3
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.util.List<Column>` | `ALL` | The value that represents all columns in `RepositoryItemQuery`.
    `static Column` | `CREATED` | The column that represents the date and time on which the repository item was created.
    `static Column` | `CREATED_BY` | The column that represents the userid of the user who created the repository item.
    `static Column` | `DESCRIPTION` | The column that represents the description of the repository item.
    `static Column` | `ID` | The column that represents the unique identifier of the repository item.
    `static Column` | `LAST_MODIFIED` | The column that represents the date and time on which the repository item was last modified.
    `static Column` | `LAST_MODIFIED_BY` | The column that represents the userid of the user who last modified the repository item.
    `static Column` | `NAME` | The column that represents the name of the repository item.
    `static Column` | `PATH` | The column that represents the full path of the repository item.
    `static Column` | `PROPERTIES_LAST_MODIFIED` | The column that represents the date and time on which the properties of the repository item were last modified.
    `static Column` | `PROPERTIES_LAST_MODIFIED_BY` | The column that represents the userid of the user who last modified the properties of the repository item.
    `static Column` | `STATE` | The column that represents the `RepositoryItem.State` of the repository item.
    `static Column` | `SYNCABLE` | The column that represents the `RepositoryItem.Syncable` value of the repository item.
    `static Column` | `TOTAL_CONTAINER_SIZE` | The column that represents the total size (in bytes) of a container, including all of the versions of all files that are in the container and below.
    `static Column` | `TOTAL_FILE_SIZE` | The column that represents the total size (in bytes) of a file, including all versions of the file, if versioned.
    `static Column` | `TYPE_ID` | The column that represents the type id of the repository item.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RepositoryItemQuery()` |

  - ### Method Summary

    - ### Methods inherited from class com.sas.lsaf.query.Query

      `constrain, getColumns, getConstraint, getOrder, includeColumnNames, isIncludeColumnNames, order, order, select, select, setColumns, setConstraint, setIncludeColumnNames, setOrder, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ID

          public static final Column ID

      The column that represents the unique identifier of the repository item.

    - #### TYPE_ID

          public static final Column TYPE_ID

      The column that represents the type id of the repository item. See `TypeConstants` for the list of type ids.

      Note: When searching for items of abstract type `TypeConstants.TYPE_FILE`, all of the file types are returned which include the following file types. These types can also be searched individually.

      - `TypeConstants.TYPE_SAS_DATASET`
      - `TypeConstants.TYPE_SAS_PROGRAM`
      - `TypeConstants.TYPE_JOB`
      - `TypeConstants.TYPE_PDF`

    - #### NAME

          public static final Column NAME

      The column that represents the name of the repository item.

    - #### PATH

          public static final Column PATH

      The column that represents the full path of the repository item.

    - #### STATE

          public static final Column STATE

      The column that represents the `RepositoryItem.State` of the repository item.

    - #### CREATED_BY

          public static final Column CREATED_BY

      The column that represents the userid of the user who created the repository item.

    - #### CREATED

          public static final Column CREATED

      The column that represents the date and time on which the repository item was created.

    - #### LAST_MODIFIED_BY

          public static final Column LAST_MODIFIED_BY

      The column that represents the userid of the user who last modified the repository item.

    - #### LAST_MODIFIED

          public static final Column LAST_MODIFIED

      The column that represents the date and time on which the repository item was last modified.

    - #### PROPERTIES_LAST_MODIFIED_BY

          public static final Column PROPERTIES_LAST_MODIFIED_BY

      The column that represents the userid of the user who last modified the properties of the repository item.

    - #### PROPERTIES_LAST_MODIFIED

          public static final Column PROPERTIES_LAST_MODIFIED

      The column that represents the date and time on which the properties of the repository item were last modified.

    - #### DESCRIPTION

          public static final Column DESCRIPTION

      The column that represents the description of the repository item.

    - #### SYNCABLE

          public static final Column SYNCABLE

      The column that represents the `RepositoryItem.Syncable` value of the repository item.

    - #### TOTAL_FILE_SIZE

          public static final Column TOTAL_FILE_SIZE

      The column that represents the total size (in bytes) of a file, including all versions of the file, if versioned. This column is blank for repository containers.

    - #### TOTAL_CONTAINER_SIZE

          public static final Column TOTAL_CONTAINER_SIZE

      The column that represents the total size (in bytes) of a container, including all of the versions of all files that are in the container and below. This column is blank for files.

    - #### ALL

          public static final java.util.List<Column> ALL

      The value that represents all columns in `RepositoryItemQuery`.

  - ### Constructor Detail

    - #### RepositoryItemQuery

          public RepositoryItemQuery()